<?php

require_once "db.class.php";

if ($_POST['accion']=='mostrar_tabla'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $cadena="<center><br><table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>";
    $cadena.="<td width='10%'><b>C&Oacute;DIGO</b></td><td><INPUT style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='CODIGO' SIZE='15' ></td>";
    $cadena.="<td width='35%' align='CENTER'><b>NOMBRES Y APELLIDOS</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='NOMBRES' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";
    $cadena.="</table>";

    $cadena.="<table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr>";
    $cadena.="<td width='10%'><b>E-MAIL</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='DIRECCION' SIZE='55'></td>";
    $cadena.="<td><b>TEL&Eacute;FONO</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='TELEFONO' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";

    $cadena.="<tr><td colspan='4' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Grabar();' value=' Grabar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr>";
    $cadena.="</table>";
    $cadena.="</center>";
    echo $cadena;

}

//------------------------------------

if ($_POST['accion']=='grabar_coordinador'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $nombres=$_POST['nombres'];
    $direccion=$_POST['direccion'];
    $telefono=$_POST['telefono'];


    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("insert into coordinadores(cedula,nombres,direccion,telefono) values('".$codigo."','".$nombres."','".$direccion."','".$telefono."')");
    
    $obj->disconnect();

    if($resultado){
       echo "Registro Grabado";
    }
}
//------------------------------------

if ($_POST['accion']=='actualizar_coordinador'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $nombres=$_POST['nombres'];
    $direccion=$_POST['direccion'];
    $telefono=$_POST['telefono'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("update coordinadores set nombres ='".$nombres."',direccion='".$direccion."',telefono='".$telefono."' where cedula='".$codigo."'");

    $obj->disconnect();

    if($resultado){
       echo "Coordinador Actualizado";
    }
}

//------------------------------------

if ($_POST['accion']=='borrar_coordinador'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $resultado=$obj->consulta("select * from curso_asignatura_profesor where profesor='".$codigo."'");
    $n=$obj->numero_de_filas($resultado);

    if ($n!=0){
       echo "No se puede Eliminar el Coordinador - Contiene Registros -";
    }
    else{
       $resultado1=$obj->consulta("delete from coordinadores where cedula='".$codigo."'");

       if($resultado1){
          echo "Coordinador Eliminado";
       }
    }

    $obj->disconnect();

}

//------------------------------------

if ($_POST['accion']=='editar_coordinador'){


    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from coordinadores where cedula='".$codigo."'");
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);


    $cadena="<center><br><table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>";
    $cadena.="<td width='10%'><b>C&Oacute;DIGO</b></td><td><INPUT style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='CODIGO' VALUE='".$row['cedula']."' SIZE='15' ></td>";
    $cadena.="<td width='35%' align='CENTER'><b>NOMBRES Y APELLIDOS</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='NOMBRES' VALUE='".($row['nombres'])."' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";
    $cadena.="</table>";

    $cadena.="<table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr>";
    $cadena.="<td width='10%'><b>E-MAIL</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='DIRECCION' VALUE='".($row['direccion'])."' SIZE='55'></td>";
    $cadena.="<td><b>TEL&Eacute;FONO</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='TELEFONO' VALUE='".$row['telefono']."' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";

    $cadena.="<tr><td colspan='4' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Actualizar();' value=' Actualizar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr>";
    $cadena.="</table>";
    $cadena.="</center>";
    echo $cadena;

}


?>
